Name: gnofract4d
Version: 3.9
Release: alt1
Summary: Gnofract 4D is a Gnome-based program to draw fractals

Group: Sciences/Mathematics
License: GPL
Url: http://gnofract4d.sourceforge.net/
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%name/%name-%version.tar.bz2

# This *really* requires gcc at runtime!
Requires: gcc

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils menu-devel
BuildPreReq: rpm-build-compat >= 1.2

%add_python_req_skip fract4d _lsprof cProfile fractutils frm_docbook kid

# Automatically added by buildreq on Mon Feb 18 2008
BuildRequires: gcc-c++ libGConf-devel libjpeg-devel libpng-devel python-devel

%description
Gnofract 4D is a Gnome-based program to draw fractals. What sets it apart from
other fractal programs (and makes it "4D") is the way that it treats the
Mandelbrot and Julia sets as different views of the same four-dimensional
fractal object. This allows you to generate images which are a cross between
the two sets and explore their inter-relationships.

%description -l ru_RU.KOI8-R
Gnofract 4D      Gnome, 
  .      ţ
 ,      (Mandelbrot)
  (Julia)        ң
 .   Fractint- 
,     
,    .

%prep
%setup -q

%build
%python_build

%install
%python_install
%find_lang %name --with-gnome

%post
%update_menus
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%doc README
%_bindir/*
%python_sitelibdir/fract4d
%python_sitelibdir/fract4dgui
%python_sitelibdir/fractutils
%_datadir/%name/
%_datadir/mime/packages/*
%_pixmapsdir/*
%_desktopdir/*

%changelog
* Sat Jul 05 2008 Vitaly Lipatov <lav@altlinux.ru> 3.9-alt1
- new version 3.9 (with rpmrb script)
- add rpm-build-compat requires

* Mon Feb 18 2008 Vitaly Lipatov <lav@altlinux.ru> 3.8-alt1
- new version 3.8
- update buildreq
- build with python 2.5

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 3.2-alt0.1
- new version 3.2, fix packager
- cleanup spec, remove Debian menu

* Mon Jun 19 2006 Vitaly Lipatov <lav@altlinux.ru> 2.14-alt0.2
- fix requires

* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 2.14-alt0.1
- new version 2.14
- update buildreq

* Mon Sep 05 2005 Vitaly Lipatov <lav@altlinux.ru> 2.9-alt1
- first build for ALT Linux Sisyphus

* Sun Feb 13 2005 Throsten Leemhuis <fedora at leemhuis dot info> 0:2.6-2
- "sed -i s|%_libdir/|%%{_libdir}|g setup.cfg" on x86_64

* Tue Feb 01 2005 Panu Matilainen <pmatilai@welho.com> 0:2.6-1
- update to 2.6
- drop epoch 0 and fedora.us release tag
- run update-desktop-database on post+postun

* Sun Oct 03 2004 Panu Matilainen <pmatilai@welho.com> 0:2.1-0.fdr.1
- update to 2.1

* Tue Jul 06 2004 Panu Matilainen <pmatilai@welho.com> 0:2.0-0.fdr.1
- update to 2.0
- quite a few dependency changes because of switch to python etc

* Mon May 31 2004 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.3
- fix build against newer gtk (gtk-buildfix patch)

* Tue Dec 23 2003 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.2
- address issues in #1114
- huh, this requires g++ to run...

* Mon Dec 15 2003 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.1
- update to 1.9
- drop patch (no longer needed to build)
- add translations now that there is one

* Sun Dec 07 2003 Panu Matilainen <pmatilai@welho.com> 0:1.8-0.fdr.1
- Initial Fedora packaging.
